SystemOrganization addCategory: #'Seaside-Gettext-Examples'!

WAComponent subclass: #WAGettextExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Gettext-Examples'!

!WAGettextExample class methodsFor: 'localization' stamp: 'pmm 5/8/2010 21:05'!
export
	WAGetTextExporter new exportTemplate! !

!WAGettextExample class methodsFor: 'localization' stamp: 'pmm 5/8/2010 21:49'!
import
	"NaturalLanguageTranslator translators valuesDo: [ :each |
		each reloadMOFiles ]."
	NaturalLanguageTranslator resetCaches! !

!WAGettextExample class methodsFor: 'class initialization' stamp: 'pmm 5/8/2010 16:05'!
initialize
	self register! !

!WAGettextExample class methodsFor: 'class initialization' stamp: 'pmm 5/8/2010 22:01'!
register
	| application |
	application := WAAdmin 
		register: self
		asApplicationAt: 'gettext'.
	application preferenceAt: #sessionClass put: WAGettextExampleSession.
	application configuration addParent: WAGetTextConfiguration instance.
	TextDomainManager registerCategoryPrefix: 'Seaside-Gettext-Examples' domain: 'gettext'.! !

!WAGettextExample class methodsFor: 'class initialization' stamp: 'pmm 5/8/2010 16:00'!
unload
	TextDomainManager unregisterDomain: 'gettext'! !

!WAGettextExample methodsFor: 'accessing' stamp: 'pmm 5/8/2010 20:52'!
availableLocales
	^ Array
		with: (WALocale language: 'en')
		with: (WALocale language: 'de' country: 'DE')
		with: (WALocale language: 'de' country: 'CH')
		with: (WALocale language: 'fr')
		with: (WALocale language: 'it')! !

!WAGettextExample methodsFor: 'rendering' stamp: 'pmm 5/8/2010 21:52'!
renderContentOn: html
	html heading: [ html translate: 'fontsize' ].
	self renderLocaleSelectionOn: html! !

!WAGettextExample methodsFor: 'rendering' stamp: 'pmm 5/8/2010 21:52'!
renderLocaleSelectionOn: html
	html unorderedList: [
		self availableLocales do: [ :each |
			html listItem: [
				html anchor
					callback: [ self session locale: each ];
					with: [ html translate: 'locale' to: each ] ] ] ]! !

WASession subclass: #WAGettextExampleSession
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Gettext-Examples'!

!WAGettextExampleSession methodsFor: 'initialization' stamp: 'pmm 5/8/2010 15:54'!
initializeFilters
	super initializeFilters.
	self addFilter: WALocalizationContextFilter new! !

!GRPackage class methodsFor: '*seaside-gettext-examples' stamp: 'pmm 5/8/2010 15:43'!
seasideGettextExamples
	^ self new
		name: 'Seaside-Gettext-Examples';
		description: 'Examples for Seaside-Gettext';
		url: #seasideAddonsUrl;
		yourself! !
WAGettextExample initialize!
